<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <script type="text/javascript">
        var applyType ="${applyType}";
    </script>
    <x:base include="layout,dialog,grid,tree,combox,commonTree,date,attachment"/>
    <x:script src='/biz/topsun/sap/nonProdApply/nonProdApplyDetail.js'/>
</head>
<body>
<x:hidden name="isDetailPage" value="false"/> <!--是否是详情页-->
<c:if test="${applyType==0}">
    <x:billTitle title="非产品/非本成品类物料主数据维护申请表" needStatus="false" needPerson="true"/>
</c:if>
<c:if test="${applyType==1}">
    <x:billTitle title="非产品/非本成品类物料主数据变更申请表" needStatus="false" needPerson="true"/>
</c:if>
<c:if test="${applyType==2}">
    <x:billTitle title="非产品/非本成品类物料主数据扩展申请表" needStatus="false" needPerson="true"/>
</c:if>
<form class="hg-form" method="post" action="" id="submitForm">
        <x:hidden name="id"/>
<%--        <x:hidden name="billCode"/>--%>
<%--        <x:hidden name="fillinDate" type="datetime"/>--%>
        <x:hidden name="attbizId"/>
        <x:hidden name="sourceId"/>
        <x:hidden name="kind"/>
        <x:hidden name="applyType"/>
        <x:hidden name="fullId"/>
        <x:hidden name="organId"/>
        <x:hidden name="organName"/>
        <x:hidden name="deptId"/>
<%--        <x:hidden name="deptName"/>--%>
        <x:hidden name="positionId"/>
        <x:hidden name="positionName"/>
        <x:hidden name="personMemberId"/>
<%--        <x:hidden name="personMemberName"/>--%>
    <x:title title="申请人填写区域" name="group"/>
    <div class="hg-form-cols">
        <div class="hg-form-row">
            <x:inputC name="billCode" label="申请单编号" labelCol="1" readonly="true" fieldCol="2"/>
            <x:inputC name="personMemberName" label="申请人" readonly="true" labelCol="1" fieldCol="2"/>
            <x:inputC name="deptName" label="申请部门" readonly="true" labelCol="1" fieldCol="2"/>
            <x:inputC name="fillinDate" label="申请日期" readonly="true" wrapper="date" labelCol="1" fieldCol="2"/>
        </div>
        <div class="hg-form-row">

            <x:radioC name="maintenanceType" label="维护类型" labelCol="1" fieldCol="2" dictionary="maintainType" value="new" disabled="true"/>
            <x:selectC name="statusId" label="批准状态" dictionary="bizBillStatus"  disabled="true" labelCol="1" fieldCol="2"/>
            <x:inputC name="approver" label="批准人" readonly="true" labelCol="1" fieldCol="2"/>
            <x:inputC name="approvalDate" label="批准日期" readonly="true" wrapper="date" labelCol="1" fieldCol="2"/>
        </div>
    </div>
    <x:title title="维护物品总体内容" name="group"/>
    <div class="hg-form-cols">
        <div class="hg-form-row">
            <x:inputC name="genericName" label="通用品名" labelCol="1" fieldCol="5"/>
            <x:inputC name="applicableStandard" label="适用标准" labelCol="1" fieldCol="5"/>
            <x:inputC name="baseUnit" label="基本计量单位" labelCol="1" fieldCol="2" wrapper="select"/>
            <x:inputC name="specifications" label="规格" labelCol="1" fieldCol="2"/>
            <x:inputC name="material" label="材质" labelCol="1" fieldCol="2"/>
            <x:inputC name="design" label="版式" labelCol="1" fieldCol="2"/>
            <x:inputC name="size" label="尺码" labelCol="1" fieldCol="2"/>
            <x:inputC name="brand" label="品牌" labelCol="1" fieldCol="2"/>
            <x:inputC name="materialUsage" label="用途" labelCol="1" fieldCol="2"/>
            <x:selectC name="itemAttributes" label="物品属性" labelCol="1" fieldCol="2" dictionary="suppliesType"/>
        </div>
      <c:if test="${applyType==2}">
         <div class="hg-form-row">
               <x:checkboxListC name="businessUsage" label="业务用途" list="businessUsageUnSeledList" labelCol="1"
                         fieldCol="11"/>
        </div>
     </c:if>
        <c:if test="${applyType==1}">
            <div class="hg-form-row">
                <x:checkboxListC name="businessUsage" label="业务用途" dictionary="serviceusage" labelCol="1"
                                 fieldCol="11" disabled="true"/>
            </div>
        </c:if>
     <c:if test="${applyType==0}">
        <div class="hg-form-row">
            <x:checkboxListC name="businessUsage" label="业务用途" dictionary="serviceusage" labelCol="1"
                             fieldCol="11"/>
        </div>
      </c:if>

        <div class="hg-form-row">
            <x:textareaC rows="3" name="textDescription" label="文本说明" labelCol="1" fieldCol="11"/>
        </div>
        <div style="padding-top: 15px;">
            <x:fileList bizCode="nonProApplyInfo" bizId="attbizId" id="nonProApplyInfoList" title="上传附件" />
        </div>
    </div>


</form>
</body>
</html>
